Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.xmlschema
Class XMLSchemaReader.StateFactory

    java.lang.Object
      com.sun.msv.reader.xmlschema.XMLSchemaReader.StateFactory

Enclosing class:
  XMLSchemaReader

public static class XMLSchemaReader.StateFactory
extends java.lang.Object

creates various State object, which in turn parses grammar. parsing behavior can be customized by implementing custom StateFactory.

Constructor Summary
`XMLSchemaReader.StateFactory()`

Method Summary
`State` | `all(State parent, StartTagInfo tag)`
`State` | `any(State parent, StartTagInfo tag)`
`State` | `anyAttribute(State parent, StartTagInfo tag)`
`State` | `attribute(State parent, StartTagInfo tag)`
`State` | `attributeGroup(State parent, StartTagInfo tag)`
`State` | `choice(State parent, StartTagInfo tag)`
`State` | `complexContent(State parent, StartTagInfo tag, ComplexTypeExp decl)`
`State` | `complexExt(State parent, StartTagInfo tag, ComplexTypeExp decl)`
`State` | `complexRst(State parent, StartTagInfo tag, ComplexTypeExp decl)`
`State` | `complexTypeDecl(State parent, StartTagInfo tag)`
`State` | `elementDecl(State parent, StartTagInfo tag)`
`State` | `elementRef(State parent, StartTagInfo tag)`
`State` | `facets(State parent, StartTagInfo tag)`
`State` | `group(State parent, StartTagInfo tag)`
`State` | `import_(State parent, StartTagInfo tag)`
`State` | `include(State parent, StartTagInfo tag)`
`State` | `key(State parent, StartTagInfo tag)`
`State` | `keyref(State parent, StartTagInfo tag)`
`State` | `notation(State parent, StartTagInfo tag)`
`State` | `redefine(State parent, StartTagInfo tag)`
`State` | `schemaHead(java.lang.String expectedNamespace)`
`State` | `schemaIncluded(State parent, java.lang.String expectedNamespace)`
`State` | `sequence(State parent, StartTagInfo tag)`
`State` | `simpleContent(State parent, StartTagInfo tag, ComplexTypeExp decl)`
`State` | `simpleExt(State parent, StartTagInfo tag, ComplexTypeExp decl)`
`State` | `simpleRst(State parent, StartTagInfo tag, ComplexTypeExp decl)`
`State` | `simpleType(State parent, StartTagInfo tag)`
`State` | `unique(State parent, StartTagInfo tag)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSchemaReader.StateFactory

    public XMLSchemaReader.StateFactory()

Method Detail

### schemaHead

    public State schemaHead(java.lang.String expectedNamespace)

### schemaIncluded

    public State schemaIncluded(State parent,
                                java.lang.String expectedNamespace)

### simpleType

    public State simpleType(State parent,
                            StartTagInfo tag)

### all

    public State all(State parent,
                     StartTagInfo tag)

### choice

    public State choice(State parent,
                        StartTagInfo tag)

### sequence

    public State sequence(State parent,
                          StartTagInfo tag)

### group

    public State group(State parent,
                       StartTagInfo tag)

### complexTypeDecl

    public State complexTypeDecl(State parent,
                                 StartTagInfo tag)

### attribute

    public State attribute(State parent,
                           StartTagInfo tag)

### attributeGroup

    public State attributeGroup(State parent,
                                StartTagInfo tag)

### elementDecl

    public State elementDecl(State parent,
                             StartTagInfo tag)

### elementRef

    public State elementRef(State parent,
                            StartTagInfo tag)

### any

    public State any(State parent,
                     StartTagInfo tag)

### anyAttribute

    public State anyAttribute(State parent,
                              StartTagInfo tag)

### include

    public State include(State parent,
                         StartTagInfo tag)

### import_

    public State import_(State parent,
                         StartTagInfo tag)

### redefine

    public State redefine(State parent,
                          StartTagInfo tag)

### notation

    public State notation(State parent,
                          StartTagInfo tag)

### facets

    public State facets(State parent,
                        StartTagInfo tag)

### unique

    public State unique(State parent,
                        StartTagInfo tag)

### key

    public State key(State parent,
                     StartTagInfo tag)

### keyref

    public State keyref(State parent,
                        StartTagInfo tag)

### complexContent

    public State complexContent(State parent,
                                StartTagInfo tag,
                                ComplexTypeExp decl)

### complexRst

    public State complexRst(State parent,
                            StartTagInfo tag,
                            ComplexTypeExp decl)

### complexExt

    public State complexExt(State parent,
                            StartTagInfo tag,
                            ComplexTypeExp decl)

### simpleContent

    public State simpleContent(State parent,
                               StartTagInfo tag,
                               ComplexTypeExp decl)

### simpleRst

    public State simpleRst(State parent,
                           StartTagInfo tag,
                           ComplexTypeExp decl)

### simpleExt

    public State simpleExt(State parent,
                           StartTagInfo tag,
                           ComplexTypeExp decl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD